Bug 1413522 - pkgconf as system pkg-config implementation
Summary: pkgconf as system pkg-config implementation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 09:34 UTC by Jan Kurik
Modified: 2017-07-23 09:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 09:32:55 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-01-16 09:34:35 UTC
This is a tracking bug for Change: pkgconf as system pkg-config implementation
For more details, see: https://fedoraproject.org//wiki/Changes/pkgconf_as_system_pkg-config_implementation

This change switches Fedora's system-wide/default pkg-config implementation to pkgconf, a new implementation of pkg-config that provides better support for handling .pc files and a stable library ABI/API for integrating into applications.

Comment 1 Neal Gompa 2017-01-22 13:26:55 UTC
pkgconf-1.2.0-1.fc26 has taken over as the system pkg-config implementation in Rawhide, seamlessly replacing pkgconfig with no ill effects thus far.

Now, pkgconfig just needs to be excluded from the mass rebuild so that the versioned Obsoletes+Provides continue to work.

Comment 2 Neal Gompa 2017-02-02 12:44:27 UTC
pkgconf-1.2.1-2.fc26 has the Obsoletes+Conflicts adjusted so that the range is inclusive, so that even when pkgconfig is rebuilt in the mass rebuild, pkgconf will remain the favored provider of pkg-config.

Comment 3 Fedora End Of Life 2017-02-28 10:59:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Jan Kurik 2017-05-17 09:13:39 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Simon Clark 2017-06-30 21:03:24 UTC
I have added release notes text for this change to the draft F26 Release Notes here: https://pagure.io/release-notes/c/41139602d4f6fdc9f577aed2e4df837932e4c364?branch=f26

Please would you take a look at the draft and let me know if anything should be added or changed?


Note You need to log in before you can comment on or make changes to this bug.